import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {ColorCodeTransactionStatusCmsService} from "./color-code-transaction-status-cms.service";
import {UpdateColorCodeTransactionStatusCmsDto} from "./dto/update-color-code-transaction-status-cms.dto";

@Controller({path: "color-code-transaction-status-cms", version: Constants.API_VERSION_1})

export class ColorCodeTransactionStatusCmsController {
    constructor(private readonly service: ColorCodeTransactionStatusCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateColorCodeTransactionStatusCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
