import {EntityRepository, Repository} from "typeorm";
import {ColorCodeTransactionStatusCmsEntity} from "./entities/color-code-transaction-status.entity";
import {UpdateColorCodeTransactionStatusCmsDto} from "./dto/update-color-code-transaction-status-cms.dto";

@EntityRepository(ColorCodeTransactionStatusCmsEntity)
export class ColorCodeTransactionStatusCmsRepository extends Repository<ColorCodeTransactionStatusCmsEntity> {

    async createEntity(dto: UpdateColorCodeTransactionStatusCmsDto): Promise<ColorCodeTransactionStatusCmsEntity | Error> {
        try {
            const entity = this.create({
                pending: dto.pending,
                offerAccepted: dto.offerAccepted,
                inspection: dto.inspection,
                apraisal: dto.apraisal,
                clearToClose: dto.clearToClose,
                closing: dto.closing,
                closed: dto.closed
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateColorCodeTransactionStatusCmsDto, id: string): Promise<ColorCodeTransactionStatusCmsEntity | Error> {
        try {
            await this.update(id, {
                pending: dto.pending,
                offerAccepted: dto.offerAccepted,
                inspection: dto.inspection,
                apraisal: dto.apraisal,
                clearToClose: dto.clearToClose,
                closing: dto.closing,
                closed: dto.closed
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ColorCodeTransactionStatusCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}