import {EntityRepository, Repository} from "typeorm";
import {CustomerReviewsCmsEntity} from "./entities/customer-reviews-cms.entity";
import {UpdateCustomerReviewsCmsDto} from "./dto/update-customer-reviews-cms.dto";

@EntityRepository(CustomerReviewsCmsEntity)
export class CustomerReviewsCmsRepository extends Repository<CustomerReviewsCmsEntity> {

    async createEntity(dto: UpdateCustomerReviewsCmsDto): Promise<CustomerReviewsCmsEntity | Error> {
        try {
            const entity = this.create({
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateCustomerReviewsCmsDto, id: string): Promise<CustomerReviewsCmsEntity | Error> {
        try {
            await this.update(id, {
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<CustomerReviewsCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}