import {EntityRepository, Repository} from "typeorm";
import {ImproveSectionCmsEntity} from "./entities/improve-section-cms.entity";
import {UpdateImproveSectionCmsDto} from "./dto/update-improve-section-cms.dto";

@EntityRepository(ImproveSectionCmsEntity)
export class ImproveSectionCmsRepository extends Repository<ImproveSectionCmsEntity> {

    async createEntity(dto: UpdateImproveSectionCmsDto): Promise<ImproveSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateImproveSectionCmsDto, id: string): Promise<ImproveSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ImproveSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}