import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {NewsletterCmsService} from "./newsletter-cms.service";
import {UpdateNewsletterCmsDto} from "./dto/update-newsletter-cms.dto";

@Controller({path: "newsletter-cms", version: Constants.API_VERSION_1})

export class NewsletterCmsController {
    constructor(private readonly service: NewsletterCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateNewsletterCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
