import {EntityRepository, Repository} from "typeorm";
import {SigninCms} from "./entities/signin-cms.entity";
import {SigninCmsDto} from "./dto/signin-cms.dto";

@EntityRepository(SigninCms)
export class SigninCmsRepository extends Repository<SigninCms> {

    async createEntity(dto: SigninCmsDto): Promise<SigninCms | Error> {
        try {
            const entity = this.create({...dto});
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: SigninCmsDto, id: string): Promise<SigninCms | Error> {
        try {
            await this.update(id, {...dto});
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SigninCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}