import {Module} from '@nestjs/common';
import {AuthCommonDataService} from './auth-common-data.service';
import {AuthCommonDataController} from './auth-common-data.controller';
import {JwtModule} from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import {TypeOrmModule} from "@nestjs/typeorm";
import {UsersRepository} from "src/modules/users/user.repository";
import {AuthCommonDataRepository} from "./auth-common-data.repository";
import JwtHelper from "src/core/jwt/jwt.helper";
import {DoSpacesServicerovider} from "src/modules/SpacesModule/SpacesService";
import {DoSpacesService} from "src/modules/SpacesModule/SpacesService/doSpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([AuthCommonDataRepository])
    ],
    controllers: [AuthCommonDataController],
    providers: [AuthCommonDataService, JwtHelper, DoSpacesServicerovider, DoSpacesService]
})
export class AuthCommonDataModule {
}
