import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {DesignationRepository} from './designation.repository';
import {DesignationController} from './designation.controller';
import {DesignationService} from './designation.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([DesignationRepository])
    ],
    controllers: [DesignationController],
    providers: [DesignationService, JwtHelper]
})
export class DesignationModule {
}
