import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {ScheduleIndustryRepository} from './schedule-industry.repository';
import {ScheduleIndustryController} from './schedule-industry.controller';
import {ScheduleIndustryService} from './schedule-industry.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ScheduleIndustryRepository])
    ],
    controllers: [ScheduleIndustryController],
    providers: [ScheduleIndustryService, JwtHelper]
})
export class ScheduleIndustryModule {
}
