import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("message")
export class Message extends CoreEntity {
    @Column()
    senderId: string;

    @Column()
    senderName: string;

    @Column({nullable: true})
    receiverId?: string;

    @Column({nullable: true})
    receiverName?: string;

    @Column({type: 'longtext', nullable: true})
    text?: string;

    @Column({nullable: true})
    fileUrl?: string;

    @Column({nullable: true})
    fileName?: string;

    @Column({type: 'boolean', default: false})
    isGroupMessage?: boolean;

    @Column({nullable: true})
    transactionId?: string;

    @Column({nullable: true})
    groupName?: string;

    @Column({nullable: true})
    role?: number;
}
